{{ if .Site.Data.portfolio.portfolio.enable }}
{{ with .Site.Data.portfolio.portfolio }}
{{"<!-- Portfolio Section -->" | safeHTML}}
<section class="portfolio section" id="portfolio">
	<div class="container">
		<div class="row ">
			<div class="col-xl-12">
				{{"<!-- section title -->" | safeHTML}}
				<div class="title text-center">
					<h2>{{ with .title }} {{ index (split . " ") 0 }} {{ end }}<span class="color">
							{{ with .title }} {{ index (split . " ") 1 }} {{ end }}</span></h2>
					<div class="border-meghna"></div>
				</div>
				{{"<!-- /section title -->" | safeHTML}}
			</div>
		</div>
		<div class="row">
			<div class="col-lg-12">
				<div class="btn-group portfolio-filter btn-group-toggle justify-content-center d-flex flex-wrap"
					data-toggle="buttons">
					<label class="btn active">
						<input type="radio" name="shuffle-filter" value="all" checked="checked" />{{ i18n "all"}}
					</label>
					{{ $categories := slice }}
					{{ range .portfolio_item }}
					{{ range .categories }}
					{{ $categories = $categories | append . }}
					{{ end }}
					{{ end }}
					{{ range ( $categories | uniq ) }}
					<label class="btn">
						<input type="radio" name="shuffle-filter" value="{{ . | urlize }}" />{{ . | humanize }}
					</label>
					{{ end }}
				</div>
			</div>
		</div>

		<div class="row shuffle-wrapper justify-content-center">
			{{"<!-- portfolio item -->" | safeHTML}}
			{{ range .portfolio_item }}
			<div class="col-lg-4 shuffle-item"
				data-groups="[{{range $index, $element:= .categories }}{{if ne $index 0}},{{end}}&quot;{{. | urlize}}&quot;{{ end }}]">
				<div class="portfolio-block mb-4">
					<img class="img-fluid" src="{{ .image_webp | absURL }}" onerror="this.onerror=null;this.src='{{ .image | absURL }}'" alt="{{ .name }}">
					<div class="caption">
						<a class="search-icon image-popup" data-effect="mfp-with-zoom" href="{{ .image | relURL }}"
							data-lightbox="image-1">
							<i class="ti-search"></i>
						</a>
						<h4 class="mt-3">
							{{ if or (eq .link "#") (eq .link "") }}
							{{ .name }}
							{{ else }}
							<a href="{{ .link | safeURL }}">{{ .name }}</a>
							{{ end }}
						</h4>
						<p>{{ .content | markdownify }}</p>
					</div>
				</div>
			</div>
			{{ end }}
		</div>
	</div>
</section>
{{"<!-- /Portfolio -->" | safeHTML}}
{{ end }}
{{ end }}